diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/__init__.py
index ea47797c..6c1338f7 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/__init__.py
@@ -425,7 +425,7 @@ class CollationView(PGChildNodeView):
                 status=410,
                 success=0,
                 errormsg=gettext(
-                    "Incomplete definition. Please provide Locale OR Copy Collation OR LC_TYPE/LC_COLLATE"
+                    "Incomplete definition. Please provide locale OR copy collation OR LC_TYPE/LC_COLLATE!"
                 )
             )
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/templates/collation/js/collation.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/templates/collation/js/collation.js
index e4e3176d..64cf6de3 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/templates/collation/js/collation.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/templates/collation/js/collation.js
@@ -163,7 +163,7 @@ function($, _, S, pgAdmin, pgBrowser, alertify) {
             copy_coll_flag = true;
           }
           if (locale_flag && (lc_coll_flag || lc_coll_flag) && copy_coll_flag) {
-            msg = '{{ _('Incomplete definition, Please provide Locale OR Copy collation OR LC_TYPE/LC_COLLATE!') }}';
+            msg = '{{ _('Incomplete definition. Please provide locale OR copy collation OR LC_TYPE/LC_COLLATE!') }}';
             err['locale'] = msg
           }
           return null;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/templates/domains/js/domains.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/templates/domains/js/domains.js
index 7d1e8fe3..f3a7468c 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/templates/domains/js/domains.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/templates/domains/js/domains.js
@@ -183,7 +183,7 @@ function($, _, S, pgAdmin, pgBrowser, alertify) {
           id: 'description', label:'{{ _('Comment') }}', cell: 'string',
           type: 'multiline'
         },{
-          id: 'basetype', label:'{{ _('Base type') }}', cell: 'string',
+          id: 'basetype', label:'{{ _('Base Type') }}', cell: 'string',
           control: 'node-ajax-options', type: 'text', url: 'get_types',
           mode:['properties', 'create', 'edit'], group: '{{ _('Definition') }}',
           cache_level: 'database', cache_node: 'schema', disabled: function(m) {
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/__init__.py
index 2abce444..b7a8291d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/__init__.py
@@ -415,7 +415,7 @@ class FtsConfigurationView(PGChildNodeView):
                 status=410,
                 success=0,
                 errormsg=_(
-                    "provide atleast copy config or parser"
+                    "Provide at least copy config or parser."
                 )
             )
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/templates/fts_dictionary/js/fts_dictionary.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/templates/fts_dictionary/js/fts_dictionary.js
index 03039431..005a701b 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/templates/fts_dictionary/js/fts_dictionary.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/templates/fts_dictionary/js/fts_dictionary.js
@@ -60,7 +60,7 @@ function($, _, S, pgAdmin, pgBrowser, alertify) {
       dialogHelp: '{{ url_for('help.static', filename='fts_dictionary_dialog.html') }}',
       canDrop: true,
       canDropCascade: true,
-      label: '{{ _('FTS dictionary') }}',
+      label: '{{ _('FTS Dictionary') }}',
       hasSQL: true,
       hasDepends: true,
       Init: function() {
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/__init__.py
index 78f20f18..c23a459d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/__init__.py
@@ -458,7 +458,7 @@ class FtsTemplateView(PGChildNodeView):
 
         return make_json_response(
             success=1,
-            info=gettext("FTS template dropped"),
+            info=gettext("FTS Template dropped"),
             data={
                 'id': tid,
                 'sid': sid,
@@ -650,7 +650,7 @@ class FtsTemplateView(PGChildNodeView):
         if not status:
             return internal_server_error(
                 gettext(
-                    "Could not generate reversed engineered query for the FTS template.\n{0}").format(
+                    "Could not generate reversed engineered query for the FTS Template.\n{0}").format(
                     res
                 )
             )
@@ -658,7 +658,7 @@ class FtsTemplateView(PGChildNodeView):
         if res is None:
             return gone(
                 gettext(
-                    "Could not generate reversed engineered query for FTS template node.")
+                    "Could not generate reversed engineered query for FTS Template node.")
             )
 
         return ajax_response(response=res)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/function/js/functions.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/function/js/functions.js
index 461e1a27..312d40bd 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/function/js/functions.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/function/js/functions.js
@@ -357,7 +357,7 @@ function($, _, S, pgAdmin, pgBrowser, alertify) {
           }
 
           if (_.isUndefined(this.get('prorettypename')) || String(this.get('prorettypename')).replace(/^\s+|\s+$/g, '') == '') {
-            err['prorettypename'] = '{{ _('Return Type cannot be empty.') }}';
+            err['prorettypename'] = '{{ _('Return type cannot be empty.') }}';
             errmsg = errmsg || err['prorettypename'];
           }
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/trigger_function/js/trigger_functions.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/trigger_function/js/trigger_functions.js
index 1d1c7b60..3fceee20 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/trigger_function/js/trigger_functions.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/trigger_function/js/trigger_functions.js
@@ -278,7 +278,7 @@ function($, _, S, pgAdmin, pgBrowser, alertify) {
           }
 
           if (_.isUndefined(this.get('prorettypename')) || String(this.get('prorettypename')).replace(/^\s+|\s+$/g, '') == '') {
-            err['prorettypename'] = '{{ _('Return Type cannot be empty.') }}';
+            err['prorettypename'] = '{{ _('Return type cannot be empty.') }}';
             errmsg = errmsg || err['prorettypename'];
           }
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/__init__.py
index f5dcb8e5..39fbb8f8 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/__init__.py
@@ -611,7 +611,7 @@ class CheckConstraintView(PGChildNodeView):
 
             return make_json_response(
                 success=1,
-                info=_("Check Constraint dropped"),
+                info=_("Check Constraint dropped."),
                 data={
                     'id': tid,
                     'scid': scid,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/templates/check_constraint/js/check_constraint.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/templates/check_constraint/js/check_constraint.js
index 9389bc91..15154529 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/templates/check_constraint/js/check_constraint.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/templates/check_constraint/js/check_constraint.js
@@ -161,7 +161,7 @@ function($, _, S, pgAdmin, pgBrowser, Alertify) {
               errmsg;
 
           if (_.isUndefined(this.get('consrc')) || String(this.get('consrc')).replace(/^\s+|\s+$/g, '') == '') {
-            err['consrc'] = '{{ _('Check can not be empty!') }}';
+            err['consrc'] = '{{ _('Check can not be empty.') }}';
             errmsg = errmsg || err['consrc'];
           }
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/templates/exclusion_constraint/js/exclusion_constraint.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/templates/exclusion_constraint/js/exclusion_constraint.js
index 02b77e16..4354806b 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/templates/exclusion_constraint/js/exclusion_constraint.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/templates/exclusion_constraint/js/exclusion_constraint.js
@@ -694,7 +694,7 @@ function($, _, S, pgAdmin, pgBrowser, Alertify) {
             else return true;
           }
         },{
-          id: 'amname', label: '{{ _('Access method') }}',
+          id: 'amname', label: '{{ _('Access Method') }}',
           type: 'text', group: '{{ _('Definition') }}',
           url:"get_access_methods", node: 'table',
           control: Backform.NodeAjaxOptionsControl.extend({
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/__init__.py
index c31c8c1a..ed84916e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/__init__.py
@@ -932,7 +932,7 @@ class TypeView(PGChildNodeView, DataTypeReader):
                         status=410,
                         success=0,
                         errormsg=gettext(
-                            'External types require both Input and Output conversion functions.'
+                            'External types require both input and output conversion functions.'
                         )
                     )
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/templates/type/js/type.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/templates/type/js/type.js
index 94f31396..f8d483aa 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/templates/type/js/type.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/templates/type/js/type.js
@@ -407,7 +407,7 @@ function($, _, S, pgAdmin, pgBrowser, alertify, Backgrid) {
             return m.get('typtype') === 'r';
           }, deps: ['typtype'], label: '',
           schema:[{
-            id: 'typname', label:'{{ _('Sub-type') }}', cell: 'string',
+            id: 'typname', label:'{{ _('Subtype') }}', cell: 'string',
             control: 'node-ajax-options',
             select2: { allowClear: true, placeholder: "", width: "100%" },
             url: 'get_stypes', type: 'text', mode: ['properties', 'create', 'edit'],
@@ -417,7 +417,7 @@ function($, _, S, pgAdmin, pgBrowser, alertify, Backgrid) {
               return d;
             }
           },{
-              id: 'opcname', label:'{{ _('Sub-type operator class') }}', cell: 'string',
+              id: 'opcname', label:'{{ _('Subtype operator class') }}', cell: 'string',
               mode: ['properties', 'create', 'edit'], group: '{{ _('Range Type') }}',
               disabled: 'inSchemaWithModelCheck', deps: ['typname'],
               control: 'select', options: function() {
@@ -517,7 +517,7 @@ function($, _, S, pgAdmin, pgBrowser, alertify, Backgrid) {
               return result;
             }
             },{
-              id: 'rngsubdiff', label:'{{ _('Sub-type diff function') }}', cell: 'string',
+              id: 'rngsubdiff', label:'{{ _('Subtype diff function') }}', cell: 'string',
               type: 'text', mode: ['properties', 'create', 'edit'],
               group: '{{ _('Range Type') }}',
               disabled: 'inSchemaWithModelCheck', deps: ['opcname'],
diff --git a/web/pgadmin/browser/server_groups/servers/pgagent/__init__.py b/web/pgadmin/browser/server_groups/servers/pgagent/__init__.py
index 0b792992..f01a6599 100644
--- a/web/pgadmin/browser/server_groups/servers/pgagent/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/pgagent/__init__.py
@@ -504,7 +504,7 @@ SELECT EXISTS(
             return internal_server_error(errormsg=res)
 
         return success_return(
-            message=_("Updated the next-runtime to now!")
+            message=_("Updated the next runtime to now!")
         )
 
     @check_precondition
diff --git a/web/pgadmin/browser/server_groups/servers/pgagent/schedules/templates/pga_schedule/js/pga_schedule.js b/web/pgadmin/browser/server_groups/servers/pgagent/schedules/templates/pga_schedule/js/pga_schedule.js
index 6fb9808d..e08511ce 100644
--- a/web/pgadmin/browser/server_groups/servers/pgagent/schedules/templates/pga_schedule/js/pga_schedule.js
+++ b/web/pgadmin/browser/server_groups/servers/pgagent/schedules/templates/pga_schedule/js/pga_schedule.js
@@ -71,7 +71,7 @@ function($, _, S, pgAdmin, moment, pgBrowser, Alertify, Backform) {
           render: function() {
             this.$el.empty();
             var model = this.model;
-            this.$el.text(this.formatter.fromRaw(model.get(this.column.get("name")), model) || '{{ _('<Any>') }}');
+            this.$el.text(this.formatter.fromRaw(model.get(this.column.get("name")), model) || '{{ _('<any>') }}');
             this.delegateEvents();
 
             return this;
diff --git a/web/pgadmin/browser/server_groups/servers/roles/__init__.py b/web/pgadmin/browser/server_groups/servers/roles/__init__.py
index 7c2af286..da8d06a5 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/roles/__init__.py
@@ -161,7 +161,7 @@ class RoleView(PGChildNodeView):
             if u'rolmembership' in data:
                 if u'rid' not in kwargs or kwargs['rid'] == -1:
                     msg = _("""
-Role membership information must be passed as an array of JSON object in the
+Role membership information must be passed as an array of JSON objects in the
 following format:
 
 rolmembership:[{
@@ -186,8 +186,8 @@ rolmembership:[{
                                 data[u'members'].append(r[u'role'])
                 else:
                     msg = _("""
-Role membership information must be passed a string representing an array of
-JSON object in the following format:
+Role membership information must be passed as a string representing an array of
+JSON objects in the following format:
 rolmembership:{
     'added': [{
         role: [rolename],
@@ -264,7 +264,7 @@ rolmembership:{
                 if u'seclabels' in data:
                     if u'rid' not in kwargs or kwargs['rid'] == -1:
                         msg = _("""
-Security Label must be passed as an array of JSON object in the following
+Security Label must be passed as an array of JSON objects in the following
 format:
 seclabels:[{
     provider: <provider>,
@@ -281,7 +281,7 @@ seclabels:[{
                                 return precondition_required(msg)
                     else:
                         msg = _("""
-Security Label must be passed as an array of JSON object in the following
+Security Label must be passed as an array of JSON objects in the following
 format:
 seclabels:{
     'added': [{
@@ -342,8 +342,8 @@ seclabels:{
             if u'variables' in data:
                 if u'rid' not in kwargs or kwargs['rid'] == -1:
                     msg = _("""
-Configuration parameters/variables must be passed as an array of JSON object in
-the following format (create mode):
+Configuration parameters/variables must be passed as an array of JSON objects in
+the following format in create mode:
 variables:[{
     database: <database> or null,
     name: <configuration>,
@@ -361,8 +361,8 @@ variables:[{
                             return precondition_required(msg)
                 else:
                     msg = _("""
-Configuration parameters/variables must be passed as an array of JSON object in
-the following format (update mode):
+Configuration parameters/variables must be passed as an array of JSON objects in
+the following format in update mode:
 rolmembership:{
     'added': [{
         database: <database> or null,
@@ -699,14 +699,14 @@ rolmembership:{
 
         if not status:
             return internal_server_error(
-                _("Could not generate reversed engineered Query for the role.\n{0}").format(
+                _("Could not generate reversed engineered query for the role.\n{0}").format(
                     res
                 )
             )
 
         if res is None:
             return gone(
-                _("Could not generate reversed engineered Query for the role.")
+                _("Could not generate reversed engineered query for the role.")
             )
 
         return ajax_response(response=res.strip('\n'))
diff --git a/web/pgadmin/browser/server_groups/servers/templates/servers/servers.js b/web/pgadmin/browser/server_groups/servers/templates/servers/servers.js
index c879bb25..9c21ae14 100644
--- a/web/pgadmin/browser/server_groups/servers/templates/servers/servers.js
+++ b/web/pgadmin/browser/server_groups/servers/templates/servers/servers.js
@@ -663,7 +663,7 @@ function($, _, S, pgAdmin, pgBrowser, alertify) {
           id: 'db', label:'{{ _('Maintenance database') }}', type: 'text', group: "{{ 'Connection' }}",
           mode: ['properties', 'edit', 'create'], disabled: 'isConnected'
         },{
-          id: 'username', label:'{{ _('User name') }}', type: 'text', group: "{{ 'Connection' }}",
+          id: 'username', label:'{{ _('Username') }}', type: 'text', group: "{{ 'Connection' }}",
           mode: ['properties', 'edit', 'create'], disabled: 'isConnected'
         },{
           id: 'password', label:'{{ _('Password') }}', type: 'password',
diff --git a/web/pgadmin/browser/templates/browser/js/browser.js b/web/pgadmin/browser/templates/browser/js/browser.js
index 95797c66..4eacc165 100644
--- a/web/pgadmin/browser/templates/browser/js/browser.js
+++ b/web/pgadmin/browser/templates/browser/js/browser.js
@@ -450,7 +450,7 @@ function(require, $, _, S, Bootstrap, pgAdmin, Alertify, CodeMirror) {
                             console.log(err);
 
                             obj.report_error(
-                              '{{ _('Error Initializing script - ') }}' + s.path, err);
+                              '{{ _('Error initializing script - ') }}' + s.path, err);
                           }
                         }
                       }, function() {
diff --git a/web/pgadmin/tools/backup/__init__.py b/web/pgadmin/tools/backup/__init__.py
index 87e011c7..a3e91557 100644
--- a/web/pgadmin/tools/backup/__init__.py
+++ b/web/pgadmin/tools/backup/__init__.py
@@ -119,7 +119,7 @@ class BackupMessage(IProcessDesc):
                 self.database
             )
         if self.backup_type == BACKUP.GLOBALS:
-            return _("Backing up the global objects on the server - '{0}'...").format(
+            return _("Backing up the global objects on the server '{0}'...").format(
                 "{0} ({1}:{2})".format(s.name, s.host, s.port)
             )
         elif self.backup_type == BACKUP.SERVER:
@@ -146,11 +146,11 @@ class BackupMessage(IProcessDesc):
                 self.database
             )
         elif self.backup_type == BACKUP.GLOBALS:
-            res += _("Backing up the global objects on the server '{0}'").format(
+            res += _("Backing up the global objects on the server '{0}'...").format(
                 "{0} ({1}:{2})".format(s.name, s.host, s.port)
             )
         elif self.backup_type == BACKUP.SERVER:
-            res += _("Backing up the server '{0}'").format(
+            res += _("Backing up the server '{0}'...").format(
                 "{0} ({1}:{2})".format(s.name, s.host, s.port)
             )
         else:
diff --git a/web/pgadmin/tools/datagrid/__init__.py b/web/pgadmin/tools/datagrid/__init__.py
index fe2d3e5b..f4629fcd 100644
--- a/web/pgadmin/tools/datagrid/__init__.py
+++ b/web/pgadmin/tools/datagrid/__init__.py
@@ -221,7 +221,7 @@ def initialize_query_tool(sid, did=None):
         else:
             internal_server_error(
                 errormsg=gettext(
-                    'Server disconnected, Please connect and try again'
+                    'Server disconnected. Please connect and try again.'
                 )
             )
 
diff --git a/web/pgadmin/tools/debugger/__init__.py b/web/pgadmin/tools/debugger/__init__.py
index fa414ce7..557db29d 100644
--- a/web/pgadmin/tools/debugger/__init__.py
+++ b/web/pgadmin/tools/debugger/__init__.py
@@ -63,7 +63,7 @@ class DebuggerModule(PgAdminModule):
     def register_preferences(self):
         self.open_in_new_tab = self.preference.register(
             'display', 'debugger_new_browser_tab',
-            gettext("Open in New Browser Tab"), 'boolean', False,
+            gettext("Open in new browser tab"), 'boolean', False,
             category_label=gettext('Display'),
             help_str=gettext('If set to True, the Debugger '
                              'will be opened in a new browser tab.')
@@ -566,7 +566,7 @@ def restart_debugging(trans_id):
     if str(trans_id) not in debugger_data:
         return make_json_response(
             data={'status': False,
-                  'result': gettext('Not connected to server Or connection with the server has been closed.')}
+                  'result': gettext('Not connected to server or connection with the server has been closed.')}
         )
     obj = debugger_data[str(trans_id)]
 
@@ -603,7 +603,7 @@ def restart_debugging(trans_id):
         return make_json_response(data={'status': True, 'restart_debug': True, 'result': function_data})
     else:
         status = False
-        result = gettext('Not connected to server Or connection with the server has been closed.')
+        result = gettext('Not connected to server or connection with the server has been closed.')
 
     return make_json_response(data={'status': status})
 
@@ -625,7 +625,7 @@ def start_debugger_listener(trans_id):
     if str(trans_id) not in debugger_data:
         return make_json_response(
             data={'status': False,
-                  'result': gettext('Not connected to server Or connection with the server has been closed.')}
+                  'result': gettext('Not connected to server or connection with the server has been closed.')}
         )
     obj = debugger_data[str(trans_id)]
 
diff --git a/web/pgadmin/tools/import_export/__init__.py b/web/pgadmin/tools/import_export/__init__.py
index e5bd7089..50533b3b 100644
--- a/web/pgadmin/tools/import_export/__init__.py
+++ b/web/pgadmin/tools/import_export/__init__.py
@@ -107,7 +107,7 @@ class IEMessage(IProcessDesc):
         ).first()
 
         return _(
-            "Copying table data - '{0}.{1}' on database '{2}' and server ({3}{4})..."
+            "Copying table data '{0}.{1}' on database '{2}' and server ({3}:{4})..."
         ).format(
             self.schema, self.table, self.database, s.host, s.port
         )
@@ -120,7 +120,7 @@ class IEMessage(IProcessDesc):
 
         res = '<div class="h5">'
         res += _(
-            "Copying table data '{0}.{1}' on database '{2}' for the server - '{3}'"
+            "Copying table data '{0}.{1}' on database '{2}' for the server '{3}'..."
         ).format(
             self.schema, self.table, self.database,
             "{0} ({1}:{2})".format(s.name, s.host, s.port)
diff --git a/web/pgadmin/tools/import_export/templates/import_export/js/import_export.js b/web/pgadmin/tools/import_export/templates/import_export/js/import_export.js
index 612992c0..8859b23d 100644
--- a/web/pgadmin/tools/import_export/templates/import_export/js/import_export.js
+++ b/web/pgadmin/tools/import_export/templates/import_export/js/import_export.js
@@ -174,7 +174,7 @@ define(
           placeholder: '{{ _('Not null columns...') }}'
         },
         helpMessage:
-          '{{ _('Do not match the specified columns values against the null string. In the default case where the null string is empty, this means that empty values will be read as zero-length strings rather than nulls, even when they are not quoted. This option is allowed only in import, and only when using CSV format.') }}'
+          '{{ _('Do not match the specified column values against the null string. In the default case where the null string is empty, this means that empty values will be read as zero-length strings rather than nulls, even when they are not quoted. This option is allowed only in import, and only when using CSV format.') }}'
       }, {
         type: 'nested', control: 'fieldset', label: '{{ _('Miscellaneous') }}',
         group: '{{ _('Options') }}',
diff --git a/web/pgadmin/tools/restore/__init__.py b/web/pgadmin/tools/restore/__init__.py
index c27e4a62..a28ba4be 100644
--- a/web/pgadmin/tools/restore/__init__.py
+++ b/web/pgadmin/tools/restore/__init__.py
@@ -101,7 +101,7 @@ class RestoreMessage(IProcessDesc):
 
         res += html.safe_str(
             _(
-                "Restoring the backup on the server '{0}'..."
+                "Restoring backup on the server '{0}'..."
             ).format(
                 "{0} ({1}:{2})".format(s.name, s.host, s.port)
             )
diff --git a/web/pgadmin/tools/sqleditor/__init__.py b/web/pgadmin/tools/sqleditor/__init__.py
index 04443772..d1149883 100644
--- a/web/pgadmin/tools/sqleditor/__init__.py
+++ b/web/pgadmin/tools/sqleditor/__init__.py
@@ -86,7 +86,7 @@ class SqlEditorModule(PgAdminModule):
 
         self.open_in_new_tab = self.preference.register(
             'display', 'new_browser_tab',
-            gettext("Open in New Browser Tab"), 'boolean', False,
+            gettext("Open in new browser tab"), 'boolean', False,
             category_label=gettext('Display'),
             help_str=gettext('If set to True, the Query Tool '
                              'will be opened in a new browser tab.')
@@ -363,7 +363,7 @@ def start_query_tool(trans_id):
 
     else:
         status = False
-        result = gettext('Either Transaction object or Session object not found.')
+        result = gettext('Either transaction object or session object not found.')
 
     return make_json_response(
         data={
@@ -892,7 +892,7 @@ def cancel_transaction(trans_id):
             result = gettext('Not connected to server or connection with the server has been closed.')
     else:
         status = False
-        result = gettext('Either Transaction object or Session object not found.')
+        result = gettext('Either transaction object or session object not found.')
 
     return make_json_response(
         data={
